Subject: bug#14173: comint file completion bug

From: [email-masked]
Date: Sat, 25 Mar 2017 01:24:16 -0400

tags 14173 fixed
close 14173 24.3
quit

Jacob Butcher <[email-masked]> writes:

> Function comint-quote-filename does not correctly quote "]" characters when
> they appear in variable comint-file-name-quote-list.  The function naively
> formats each character in the list into a string representation of a character
> set by surrounded them with "[" and "]".
> When the list consists of characters like " " and "|", that works fine, and
> yields character sets like "[ |]". But if the list is:
>
>     (91 93 124 38 60 62 40 41 59 32 36 42 33 34 39 96 35 92)
>
> the resulting character set "[[]|&<>(); $*!\"'`#\\]" is wrong, as it does
> not place "]" first, the only location where it is permitted.

This was fixed by [1: b4ff4f1fcb].

1: 2012-04-25 14:53:57 -0400 b4ff4f1fcb552dab77d4312f9adb9f290782fa98
  Use completion-table-with-quoting for comint and pcomplete.
* lisp/comint.el [...]
(comint-quote-filename): Use regexp-opt-charset.